/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.plugin.soap.resourcebundle;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoSOAPPlugin]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoSOAPPluginResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoSOAPPluginResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoSOAPPlugin]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoSOAPPluginResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoSOAPPlugin");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoSOAPPluginResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoSOAPPlugin]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoSOAPPluginResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoSOAPPlugin", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoSOAPPluginResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoSOAPPlugin]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoSOAPPluginResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoSOAPPlugin", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoSOAPPlugin], key[EXTERNAL_OPTION_01.CLASS_NAME]
     *
     * [] (ja)<br>
     *
     * @return key[EXTERNAL_OPTION_01.CLASS_NAME]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getExternalOption01ClassName() {
        // 初期値として定義書の値を利用します。
        String strFormat = "";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("EXTERNAL_OPTION_01.CLASS_NAME");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
